| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mma955x_Sensor_Specific_Settings_t Struct Reference

`#include <mma955x.h>`

Collaboration diagram for mma955x_Sensor_Specific_Settings_t:

## Data Fields
const int32 | sampleDataOffset
const int32 | sampleDataSize
const int32 | commandReadOffset
const int32 | commandReadSize
const float | engFloatConversionFactor
const uint8 | engFixedTotalWidth
const uint8 | engFixedIntegerWidth
const uint8 | engFixedSignBit
const mma955x_CommandList_t | writeConfigCommands
const mma955x_CommandList_t | readConfigCommands
const mma955x_CommandList_t | validateSettingsCommands
const mma955x_CommandList_t | initializeCommands
const mma955x_CommandList_t | configureCommands
const mma955x_CommandList_t | startDataCommands
const mma955x_CommandList_t | endDataCommands
const mma955x_CommandList_t | calibrateCommands
const mma955x_CommandList_t | shutdownCommands
const mma955x_CommandList_t | getPedometerDataCommands

## Detailed Description

Definition at line 70 of file mma955x.h.

## Field Documentation

const mma955x_CommandList_t calibrateCommands

Definition at line 87 of file mma955x.h.

const int32 commandReadOffset

Definition at line 74 of file mma955x.h.

const int32 commandReadSize

Definition at line 75 of file mma955x.h.

const mma955x_CommandList_t configureCommands

Definition at line 84 of file mma955x.h.

const mma955x_CommandList_t endDataCommands

Definition at line 86 of file mma955x.h.

const uint8 engFixedIntegerWidth

Definition at line 78 of file mma955x.h.

const uint8 engFixedSignBit

Definition at line 79 of file mma955x.h.

const uint8 engFixedTotalWidth

Definition at line 77 of file mma955x.h.

const float engFloatConversionFactor

Definition at line 76 of file mma955x.h.

const mma955x_CommandList_t getPedometerDataCommands

Definition at line 89 of file mma955x.h.

const mma955x_CommandList_t initializeCommands

Definition at line 83 of file mma955x.h.

Referenced by fsl_mma955x_Initialize().

const mma955x_CommandList_t readConfigCommands

Definition at line 81 of file mma955x.h.

const int32 sampleDataOffset

Definition at line 72 of file mma955x.h.

const int32 sampleDataSize

Definition at line 73 of file mma955x.h.

const mma955x_CommandList_t shutdownCommands

Definition at line 88 of file mma955x.h.

const mma955x_CommandList_t startDataCommands

Definition at line 85 of file mma955x.h.

Referenced by fsl_mma955x_StartData().

const mma955x_CommandList_t validateSettingsCommands

Definition at line 82 of file mma955x.h.

const mma955x_CommandList_t writeConfigCommands

Definition at line 80 of file mma955x.h.

The documentation for this struct was generated from the following file:

- SensorSpecific/mma955x.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.